#!/bin/env fades

import pathlib
import sys

from PIL import Image  # fades


def main(filepath):
    """Main entry point."""
    im = Image.open(filepath)
    outpath = filepath.with_suffix(".gif")
    im.save(outpath, 'gif', save_all=True, background=1)


for path in sys.argv[1:]:
    main(pathlib.Path(path))
